This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969190 - swig 1.3.29 generated bad perl bindings
swig 1.3.29 generated bad perl bindings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: swig (Show other bugs)
5.9
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Jitka Plesnikova
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 16:48 EDT by Irina Boverman
Modified: 2013-07-23 03:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 03:45:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4417 None None None Never

  None (edit)
Description Irina Boverman 2013-05-30 16:48:35 EDT
Description of problem:
When building qpid project,

swig-1.3.29-2.el5.x86_64.rpm (RHEL5) generates bad bindings for getContent, which uses sv_setpv rather than sv_setpvn, and also fiddles with NULL at the end, so fails if the message contains a NULL byte.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
This problem was resolved in future versions of swig (works in swig-1.3.32)
Comment 9 RHEL Product and Program Management 2013-07-23 03:45:59 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.